Name:           angband
Version:        4.2.5
Release:        %mkrel 1
Summary:        Single-player dungeon exploration game in the universe of JRR Tolkien
Group:          Games/Adventure
License:        GPLv2
URL:            https://rephial.org/

# Archive repacked from https://rephial.org/downloads/ to remove nonfree content (cf. Patch0)
# rm -rf lib/tiles/shockbolt/ lib/sounds/
# The Shockbolt tileset is packaged separately in Nonfree as angband-data-shockbolt
# The CC-BY-NC-SA sounds are packaged separately in Nonfree as angband-data-sounds
Source0:        %{name}-%{version}-libre.tar.xz
Patch0:         angband-4.0.3-mga-remove-nonfree-data.patch
Patch1:         angband-4.2.5-mga-respect-optflags.patch
Patch2:         angband-4.2.5-mga-desktop-icon.patch
# Specific Mageia restriction on chown usage during install process
Patch10:        angband-4.2.4-1-chown_fix.patch

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)

Requires:       %{name}-data >= %{version}-%{release}
Recommends:     %{name}-data-shockbolt >= 4.2.1
# Sounds didn't change between 4.1.3 and 4.2.1
Recommends:     %{name}-data-sounds >= 4.1.3

%description
Angband is a free, single-player dungeon exploration game.
You play an adventurer: seeking riches, fighting monsters, and
preparing for a final battle with Morgoth, the Lord of Darkness.

%package        data
Summary:        Free/libre data files for Angband
License:        CC-BY-SA 3.0 and GPLv2 and Public Domain
BuildArch:      noarch

%description    data
This package contains free/libre data files for Angband.

The Shockbolt nonfree tileset is packaged in %{name}-data-shockbolt.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
  --bindir=%{_gamesbindir} \
  --with-setgid=games \
  --with-gamedata-in-lib \
  --enable-curses \
  --enable-x11 \
  --enable-sdl2 \
  --enable-sdl2-mixer
# Set version manually (upstream relies on git-describe for this)
echo %{version}-%{release} > version
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_var}/games/%{name}
mkdir -p %{buildroot}%{_var}/games/%{name}/scores
mkdir -p %{buildroot}%{_var}/games/%{name}/archive
mkdir -p %{buildroot}%{_var}/games/%{name}/save
mkdir -p %{buildroot}%{_var}/games/%{name}/panic

# Install also x11 desktop file
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    lib/icons/angband-x11.desktop

mkdir -p %{buildroot}%{_mandir}/man6/
install -p -m 644 src/angband.man %{buildroot}%{_mandir}/man6/%{name}.6

%files
%license docs/copying.rst
%doc changes.txt docs/{guide,thanks.rst} README.md
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config %{_sysconfdir}/%{name}/
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man6/%{name}.6.*

%dir %attr(0775,root,games) %{_var}/games/%{name}
%dir %attr(2775,root,games) %{_var}/games/%{name}/scores
%dir %attr(2775,root,games) %{_var}/games/%{name}/archive
%dir %attr(2775,root,games) %{_var}/games/%{name}/save
%dir %attr(2775,root,games) %{_var}/games/%{name}/panic

%files          data
%{_datadir}/%{name}/


%changelog
* Wed Jan 31 2024 daviddavid <daviddavid> 4.2.5-1.mga10
+ Revision: 2036434
- new version: 4.2.5
- fix sdl2 desktop file (mga#32764)
- install the gamedata in lib
- create all necessary '/var/games/angband/' dir
- install manpage

* Fri Sep 02 2022 neoclust <neoclust> 4.2.4-1.mga9
+ Revision: 1883525
- New version 4.2.4

* Fri Apr 01 2022 umeabot <umeabot> 4.2.1-2.mga9
+ Revision: 1839893
- Mageia 9 Mass Rebuild

* Sat Oct 17 2020 akien <akien> 4.2.1-1.mga8
+ Revision: 1636549
- Version 4.2.1
- Uses SDL2

* Tue Sep 22 2020 joequant <joequant> 4.1.3-4.mga8
+ Revision: 1629432
- fix build

* Fri Feb 14 2020 umeabot <umeabot> 4.1.3-3.mga8
+ Revision: 1522190
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 23 2019 daviddavid <daviddavid> 4.1.3-2.mga7
+ Revision: 1360125
- rst2html is now provided by python3-docutils

* Mon Oct 01 2018 akien <akien> 4.1.3-1.mga7
+ Revision: 1314512
- Version 4.1.3

* Fri Sep 21 2018 umeabot <umeabot> 4.1.2-2.mga7
+ Revision: 1294332
- Mageia 7 Mass Rebuild

* Fri Dec 29 2017 akien <akien> 4.1.2-1.mga7
+ Revision: 1187250
- Version 4.1.2
- Enable sound support, now provided in angband-data-sounds (nonfree)

* Sat Apr 23 2016 akien <akien> 4.0.5-1.mga6
+ Revision: 1005686
- Version 4.0.5

* Sat Jan 09 2016 akien <akien> 4.0.4-2.mga6
+ Revision: 920857
- Fix path to desktop icon

* Sun Jan 03 2016 akien <akien> 4.0.4-1.mga6
+ Revision: 919121
- Version 4.0.4

* Sun Nov 15 2015 akien <akien> 4.0.3-2.mga6
+ Revision: 903372
- Update required version for recommended nonfree tileset
- Version 4.0.3

* Tue Jan 27 2015 akien <akien> 3.5.1-1.mga5
+ Revision: 812480
- Version 3.5.1

* Fri Dec 05 2014 akien <akien> 3.5.0-1.mga5
+ Revision: 801674
- imported package angband

